<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 0.2.4
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
 /* 0.2.0 --> version for PIWIGO 2.0.0    */
 /* 0.2.1 --> bug generation flux RSS  */
 /*		icone piclens lite ameliore   */
 /* 0.2.2 --> Bug sur les pages autres que "categories"  */
 /*		bug caractere speciaux dans flux xml genere   */
 /* 0.2.3 --> gestion des level (niveaux de confidentialit) sur les images  */
 /* 0.2.4 --> Ajout informations dans flux RSS (version...) et icone de la gallerie */
 /*		Paramtrage du nom et description  afficher sous l'image piclens   */
 /*		Ajout 3DWall de cooliris   */


class Piclens
{
    var $my_config;
// Add Piclens CSS & Javascript in HEAD section
function piclens_link()
{
//tiico : ajout de $user pour la verification des droits sur les categories.
    global $template, $page, $user;

	$jscript = '<script type="text/javascript"> function roll_over_piclens(img_name, img_src){document[img_name].src = img_src;}</script>';
	$template->append('head_elements',$jscript);			

    
	// Vrification d'activation du plugin (page administration)
//	echo 'active='.$this->my_config['piclens_active'];
	if ($this->my_config['piclens_active'])
	{
		
		
		// Seulement sur une page type 'categorie'
		if ((isset($page['section'])) && (($page['section']) == 'categories'))
		{

		
			
			// Page accueil et option gallerie activee
		    if( (empty($page['category'])) && $this->my_config['piclens_gallerie_active'] )
		    {
	
			$piclnkMaster='<link rel="alternate"'
						. ' href="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/piclens-rss.php?/categories"'
	//					. ' href="'.$page['root_path'].'plugins/piclens/piclens-rss.php?/categories'
						.' type="application/rss+xml" title="" id="Accueil"'
						. ' >' . "\n";
	
			$piclnk=$piclnkMaster;

			// We need absolute path
			set_make_full_url();
		
				// Fill templates with piclens files
/*			 $template->assign_block_vars(
			     'head_element',
			    array(
				'CONTENT' => $piclnk
				. '<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>'
				,
			    )
			);
*/

			 $template->append('head_elements',$piclnk.'<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>');			
		    }
			// Add only if we are in category page
		    //if(!empty($page['category']['id'])) 
		    elseif (!empty($page['category']['id']))
			{
	
				// Gestion des permalinks
				$categoryId = $page['category']['id'] ;
				if (!empty($page['category']['permalink']))
					$categoryId = $page['category']['permalink'];
		
		
					
					
		// tiico: $piclnk contient les liens vers les flux xml correspondants aux categories (et sous-categories) de la page.
		// tiico: Il y a un pb sur cette partie : l'affichage global fonctionne mais l'affichage de chacune des sous-categories (uniquement)
		//	  ne fonctionne plus aprs la 10me sous-categorie.
		
				$piclnkMaster='<link rel="alternate"'
							. ' href="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/piclens-rss.php?/category/'
		//					. ' href="'.$page['root_path'].'plugins/piclens/piclens-rss.php?/category/'
							. $categoryId .'"'
							.' type="application/rss+xml" title="" id="'.$page['category']['id'].'"'
							. ' >' . "\n";
				$piclnk=$piclnkMaster;

					// We need absolute path
					set_make_full_url();
				
						// Fill templates with piclens files
/*					 $template->assign_block_vars(
					     'head_element',
					    array(
						'CONTENT' => $piclnk
						. '<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>'
						,
					    )

					);
*/		
					 $template->append('head_elements',$piclnk.'<script type="text/javascript" src="http://lite.piclens.com/current/piclens.js"></script>');
			}
		}
		
    }
}


// Add piclens Flash slideshow to toolbar
// Thanks to P@t
function add_piclens_icon()
{
	global $template, $page;
	if ($this->my_config['piclens_lite_active'] && $this->my_config['piclens_active'])
	{
		// Seulement sur une page type 'categorie'
		if ((isset($page['section'])) && (($page['section']) == 'categories'))
//		if (($page['section']) == 'categories')
		{
			
			$tpl_code = '<li><a href="javascript:PicLensLite.start();" title="Afficher un diaporama simple" onmouseover="roll_over_piclens(\'but1\', \''.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/cooliris-icon-point.png\')" onmouseout="roll_over_piclens(\'but1\', \''.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/cooliris-icon.png\')">';
			$tpl_code.='<img src="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/cooliris-icon.png" NAME="but1" class="button" alt="Afficher un diaporama simple" width="24" height="24"></a></li>';
		

			if( empty($page['category']) && !$this->my_config['piclens_gallerie_active'])	// Accueil et option piclens gallerie desactivee
				$tpl_code='<img src="'.$page['root_path'].PHPWG_PLUGINS_PATH.'piclens/cooliris-icon-black.png" NAME="but1" class="button" alt="Afficher un diaporama simple" width="24" height="24"></a></li>';

		$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code);

		}
	}

			
}


// Add piclens pics to start slideshow
// Another thanks to P@t
function set_make_full_url_piclens()
{
	set_make_full_url();
}



  
  /* Loading of the configuration file - If not exist -> Configuration file creation */
  function load_config()
  {
    $x = @file_get_contents( dirname(__FILE__).'/data.dat' );
    if ($x!==false)
    {
      $c = unserialize($x);
      // do some more tests here
      $this->my_config = $c;
    }
    if ( !isset($this->my_config))
    {
//	echo "Config absente";
	$this->my_config['piclens_active'] = false; /* Possibility to disactivate the function */
	$this->my_config['piclens_recursive'] = false;
	$this->my_config['piclens_gallerie_active'] = false; 
	$this->my_config['piclens_gallerie_type'] = 1; // Sans rcursivite pour toute l'affichage de toute la gallerie
	$this->my_config['piclens_lite_active'] = true; 
	$this->my_config['piclens_secureimage'] = 1;
	$this->my_config['piclens_thumb'] = 1; // Vignette = thumbmail
	$this->my_config['piclens_normal'] = 2; // Vignette = Normal
	$this->my_config['piclens_order'] = 1;	// default
	$this->my_config['piclens_sort'] = 1;	// default
	$this->my_config['included_file_types'] = array();	// default
	$this->my_config['piclens_wall'] = false;	// cooliris Wall actif
	$this->my_config['piclens_name_image'] = 1;	// default : thumbmail + taille
	$this->my_config['piclens_name_desc'] = 1;	// default : name
	  
    $this->save_config();
    }
  }

  /* Saving of the configuration file with data */
  function save_config()
  {
    $file = fopen( dirname(__FILE__).'/data.dat', 'w' );
    fwrite($file, serialize($this->my_config) );
    fclose( $file );
  }




function piclens_admin_menu($menu)
{
    array_push($menu,
       array(
            'NAME' => 'Cooliris-Piclens',
            'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/piclens_admin.php')
        ) 
    );
    return $menu;
}

function piclenswall()
  {
    global $page;
	// piclens active + activation sur la gallerie + activation du mur
	if ($this->my_config['piclens_active'] && $this->my_config['piclens_gallerie_active'] && $this->my_config['piclens_wall'])
    if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])))
        include_once(dirname(__FILE__) . '/piclenswall.php');
  }

}



$obj = new Piclens();
$obj->load_config();


add_event_handler('loc_end_page_header', array(&$obj, 'piclens_link' ));
add_event_handler('loc_end_index', array(&$obj, 'add_piclens_icon'));
add_event_handler('loc_begin_index', array(&$obj, 'set_make_full_url_piclens'));
add_event_handler('loc_end_index' , array(&$obj, 'piclenswall'));

 
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'piclens_admin_menu') );
set_plugin_data($plugin['id'], $obj)


?>
